Bug 181072 - lang/bigloo: Update to version 4.0b
Summary: lang/bigloo: Update to version 4.0b
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-05 19:10 UTC by tkato432
Modified: 2014-01-07 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (10.92 KB, patch)
2013-08-05 19:10 UTC, tkato432
no flags Details | Diff
lang_bigloo.diff (10.92 KB, patch)
2013-08-18 18:51 UTC, tkato432
no flags Details | Diff
lang_bigloo.diff (12.79 KB, patch)
2013-10-26 18:45 UTC, tkato432
no flags Details | Diff
lang_bigloo.diff (15.29 KB, patch)
2013-12-27 17:57 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-08-05 19:10:05 UTC
- Update to version 4.0b
Comment 1 Edwin Groothuis freebsd_committer 2013-08-05 19:11:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2013-08-18 18:51:31 UTC
Remake of the patch against current tree.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:10:59 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 tkato432 2013-10-26 18:45:10 UTC
Remake of the patch against current tree.
Comment 5 Pawel Pekala freebsd_committer 2013-12-26 10:55:05 UTC
State Changed
From-To: open->feedback

Build fails on -current, please see log: 

http://people.freebsd.org/~pawel/buildlogs/bigloo.log
Comment 6 tkato432 2013-12-27 17:57:41 UTC
Here is the corrected patch.
Comment 7 Pawel Pekala freebsd_committer 2014-01-07 18:03:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 8 dfilter service freebsd_committer 2014-01-07 20:26:42 UTC
Author: pawel
Date: Tue Jan  7 20:26:34 2014
New Revision: 339029
URL: http://svnweb.freebsd.org/changeset/ports/339029

Log:
  - Update to version 4.0b
  - Install additional manpages
  - Use options subs, helpers
  - Support staging
  
  PR:		ports/181072
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/lang/bigloo/Makefile
  head/lang/bigloo/distinfo
  head/lang/bigloo/files/patch-autoconf__flac
  head/lang/bigloo/pkg-descr   (contents, props changed)
  head/lang/bigloo/pkg-plist

Modified: head/lang/bigloo/Makefile
==============================================================================
--- head/lang/bigloo/Makefile	Tue Jan  7 20:07:08 2014	(r339028)
+++ head/lang/bigloo/Makefile	Tue Jan  7 20:26:34 2014	(r339029)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	bigloo
-PORTVERSION=	4.0a
-PORTREVISION=	2
+PORTVERSION=	4.0b
 CATEGORIES=	lang scheme
 MASTER_SITES=	ftp://ftp-sop.inria.fr/indes/fp/Bigloo/
 DISTNAME=	${PORTNAME}${PORTVERSION}
@@ -14,15 +13,16 @@ COMMENT=	Scheme interpreter and native c
 LICENSE=	GPLv2 LGPL20
 LICENSE_COMB=	multi
 
-LIB_DEPENDS=	pcre:${PORTSDIR}/devel/pcre \
-		gmp:${PORTSDIR}/math/gmp
+LIB_DEPENDS=	libpcre.so:${PORTSDIR}/devel/pcre \
+		libgmp.so:${PORTSDIR}/math/gmp
 
-OPTIONS_DEFINE=	AVAHI ALSA FLAC GSTREAMER MPG123 SQLITE OPENSSL DOCS
+OPTIONS_DEFINE=	ALSA AVAHI DOCS FLAC GSTREAMER MPG123 OPENSSL SQLITE
 OPTIONS_DEFAULT=OPENSSL
+OPTIONS_SUB=	yes
 
+USES=		gmake
 USE_GCC=	yes
 USE_EMACS=	yes
-USE_GMAKE=	yes
 HAS_CONFIGURE=	yes
 CONFIGURE_ENV=	pcrelib="-L${LOCALBASE}/lib -lpcre" \
 		gmplib="-L${LOCALBASE}/lib -lgmp"
@@ -30,7 +30,7 @@ CONFIGURE_ARGS=	--prefix=${PREFIX} \
 		--cflags="${CPPFLAGS}" \
 		--coflags="${CFLAGS}" \
 		--ldflags="${LDFLAGS}" \
-		--docdir=${WRKDIR}/fakeroot \
+		--docdir="${DOCSDIR}" \
 		--lispdir=${LOCALBASE}/${EMACS_SITE_LISPDIR}/bigloo \
 		--emacs=${EMACS_NAME} \
 		--disable-phidget
@@ -43,67 +43,22 @@ MAKE_JOBS_UNSAFE=yes
 CPPFLAGS+=	-idirafter ${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-MAN1=		bigloo.1
-INFO=		bigloo
+INFO=		bdb bigloo
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MAVAHI}
-LIB_DEPENDS+=	avahi-client:${PORTSDIR}/net/avahi-app
-PLIST_SUB+=	AVAHI=""
-.else
-CONFIGURE_ARGS+=--disable-avahi
-PLIST_SUB+=	AVAHI="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MALSA}
-LIB_DEPENDS+=	asound:${PORTSDIR}/audio/alsa-lib
-PLIST_SUB+=	ALSA=""
-.else
-CONFIGURE_ARGS+=--disable-alsa
-PLIST_SUB+=	ALSA="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MFLAC}
-LIB_DEPENDS+=	FLAC:${PORTSDIR}/audio/flac
-PLIST_SUB+=	FLAC=""
-.else
-CONFIGURE_ARGS+=--disable-flac
-PLIST_SUB+=	FLAC="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MGSTREAMER}
-USE_GSTREAMER=	yes
-PLIST_SUB+=	GSTREAMER=""
-.else
-CONFIGURE_ARGS+=--disable-gstreamer
-PLIST_SUB+=	GSTREAMER="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MMPG123}
-LIB_DEPENDS+=	mpg123:${PORTSDIR}/audio/mpg123
-PLIST_SUB+=	MPG123=""
-.else
-CONFIGURE_ARGS+=--disable-mpg123
-PLIST_SUB+=	MPG123="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MSQLITE}
-USE_SQLITE=	yes
-PLIST_SUB+=	SQLITE=""
-.else
-CONFIGURE_ARGS+=--disable-pkglib --disable-sqlite
-PLIST_SUB+=	SQLITE="@comment "
-.endif
-
-.if ${PORT_OPTIONS:MOPENSSL}
-USE_OPENSSL=	yes
-PLIST_SUB+=	OPENSSL=""
-.else
-CONFIGURE_ARGS+=--disable-ssl
-PLIST_SUB+=	OPENSSL="@comment "
-.endif
+ALSA_LIB_DEPENDS=	libasound.so:${PORTSDIR}/audio/alsa-lib
+ALSA_CONFIGURE_OFF=	--disable-alsa --disable-wav
+AVAHI_LIB_DEPENDS=	libavahi-client.so:${PORTSDIR}/net/avahi-app
+AVAHI_CONFIGURE_OFF=	--disable-avahi
+FLAC_LIB_DEPENDS=	libFLAC.so:${PORTSDIR}/audio/flac
+FLAC_CONFIGURE_OFF=	--disable-flac
+GSTREAMER_USE=		GSTREAMER=yes
+GSTREAMER_CONFIGURE_OFF=--disable-gstreamer
+MPG123_LIB_DEPENDS=	libmpg123.so:${PORTSDIR}/audio/mpg123
+MPG123_CONFIGURE_OFF=	--disable-mpg123
+OPENSSL_USE=		OPENSSL=yes
+OPENSSL_CONFIGURE_OFF=	--disable-ssl
+SQLITE_USE=		SQLITE=yes
+SQLITE_CONFIGURE_OFF=	--disable-pkglib --disable-sqlite
 
 .include <bsd.port.pre.mk>
 
@@ -112,25 +67,26 @@ BROKEN=		Does not compile on sparc64
 .endif
 
 post-patch:
-	@${REINPLACE_CMD} -e 's|"-lthr"|"${PTHREAD_LIBS}"|g' \
+	@${REINPLACE_CMD} -e 's|"-lthr"|"-pthread"|g' \
 		${WRKSRC}/autoconf/pthread
-.for i in autoconf/mixer api/multimedia/src/Unix/bglmixer.c
 	@${REINPLACE_CMD} -e 's|machine/soundcard|sys/soundcard|g' \
-		${WRKSRC}/${i}
-.endfor
+		${WRKSRC}/autoconf/mixer \
+		${WRKSRC}/api/multimedia/src/Unix/bglmixer.c
 	@${FIND} ${WRKSRC}/gc -maxdepth 1 -type f | ${XARGS} \
 		${REINPLACE_CMD} -e '/LDFLAGS=/s|export|true|g'
 
 post-install:
-	${INSTALL_MAN} ${WRKSRC}/manuals/bigloo.man ${MANPREFIX}/man/man1/${MAN1}
-	${INSTALL_DATA} ${WRKSRC}/manuals/bigloo.info ${PREFIX}/${INFO_PATH}
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/manuals/*.html ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/manuals/*.sui ${DOCSDIR}
-.endif
+.for i in bglafile bgldepend bgljfile bglmake bglmco bglpp bglprof bgltags bigloo
+	${INSTALL_MAN} ${WRKSRC}/manuals/${i}.man \
+		${STAGEDIR}${MANPREFIX}/man/man1/${i}.1
+.endfor
+	(cd ${WRKSRC}/manuals && ${INSTALL_DATA} bdb.info bigloo.info \
+		${STAGEDIR}${PREFIX}/${INFO_PATH})
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC}/manuals && ${INSTALL_DATA} *.html *.sui \
+		${STAGEDIR}${DOCSDIR})
 
 test: build
-	@(cd ${WRKSRC}; ${GMAKE} test)
+	@(cd ${WRKSRC}; ${MAKE_CMD} test)
 
 .include <bsd.port.post.mk>

Modified: head/lang/bigloo/distinfo
==============================================================================
--- head/lang/bigloo/distinfo	Tue Jan  7 20:07:08 2014	(r339028)
+++ head/lang/bigloo/distinfo	Tue Jan  7 20:26:34 2014	(r339029)
@@ -1,2 +1,2 @@
-SHA256 (bigloo4.0a.tar.gz) = d4a762b770cfeb43727a28c71bb1e04b77c73e74f2e64db7e42ab96a07f9e19c
-SIZE (bigloo4.0a.tar.gz) = 18967367
+SHA256 (bigloo4.0b.tar.gz) = f16f690e7340e8a8f90f9e294c93efce6b70eb53ec0c421d827b0187081493b9
+SIZE (bigloo4.0b.tar.gz) = 20884078

Modified: head/lang/bigloo/files/patch-autoconf__flac
==============================================================================
--- head/lang/bigloo/files/patch-autoconf__flac	Tue Jan  7 20:07:08 2014	(r339028)
+++ head/lang/bigloo/files/patch-autoconf__flac	Tue Jan  7 20:26:34 2014	(r339029)
@@ -29,15 +29,6 @@
  
  #*---------------------------------------------------------------------*/
  #*    The test C file                                                  */
-@@ -88,7 +88,7 @@
- 
- #include <stdio.h>
- #include <stdlib.h>
--#include "FLAC/stream_decoder.h"
-+#include "stream_decoder.h"
- 
- static FLAC__StreamDecoderWriteStatus write_callback(const FLAC__StreamDecoder *decoder, const FLAC__Frame *frame, const FLAC__int32 * const buffer[], void *client_data);
- static void metadata_callback(const FLAC__StreamDecoder *decoder, const FLAC__StreamMetadata *metadata, void *client_data);
 @@ -252,7 +252,7 @@
  #*    Compilation test                                                 */
  #*---------------------------------------------------------------------*/

Modified: head/lang/bigloo/pkg-descr
==============================================================================
--- head/lang/bigloo/pkg-descr	Tue Jan  7 20:07:08 2014	(r339028)
+++ head/lang/bigloo/pkg-descr	Tue Jan  7 20:26:34 2014	(r339029)
@@ -9,7 +9,7 @@ Algorithmic Language Scheme with many ex
         Module language.
         Extension package system.
         An Lalr facility.
-        An Object sytem.
+        An Object system.
         A thread library.
         DSSSL support.
         Unicode characters and strings.

Modified: head/lang/bigloo/pkg-plist
==============================================================================
--- head/lang/bigloo/pkg-plist	Tue Jan  7 20:07:08 2014	(r339028)
+++ head/lang/bigloo/pkg-plist	Tue Jan  7 20:26:34 2014	(r339029)
@@ -13,6 +13,7 @@ bin/bigloo
 bin/bigloo%%BIGLOO_VERSION%%
 bin/cigloo
 lib/bigloo/%%BIGLOO_VERSION%%/Makefile.api
+lib/bigloo/%%BIGLOO_VERSION%%/Makefile.api-safe
 lib/bigloo/%%BIGLOO_VERSION%%/Makefile.config
 lib/bigloo/%%BIGLOO_VERSION%%/Makefile.misc
 %%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/alsa.heap
@@ -240,6 +241,22 @@ lib/bigloo/%%BIGLOO_VERSION%%/libbigloot
 lib/bigloo/%%BIGLOO_VERSION%%/libbiglootext_s-%%BIGLOO_VERSION%%.so
 lib/bigloo/%%BIGLOO_VERSION%%/libbiglootext_u-%%BIGLOO_VERSION%%.a
 lib/bigloo/%%BIGLOO_VERSION%%/libbiglootext_u-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbiglooupnp_es-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbiglooupnp_es-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbiglooupnp_eu-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbiglooupnp_eu-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbiglooupnp_s-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbiglooupnp_s-%%BIGLOO_VERSION%%.so
+lib/bigloo/%%BIGLOO_VERSION%%/libbiglooupnp_u-%%BIGLOO_VERSION%%.a
+lib/bigloo/%%BIGLOO_VERSION%%/libbiglooupnp_u-%%BIGLOO_VERSION%%.so
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloowav_es-%%BIGLOO_VERSION%%.a
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloowav_es-%%BIGLOO_VERSION%%.so
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloowav_eu-%%BIGLOO_VERSION%%.a
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloowav_eu-%%BIGLOO_VERSION%%.so
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloowav_s-%%BIGLOO_VERSION%%.a
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloowav_s-%%BIGLOO_VERSION%%.so
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloowav_u-%%BIGLOO_VERSION%%.a
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/libbigloowav_u-%%BIGLOO_VERSION%%.so
 lib/bigloo/%%BIGLOO_VERSION%%/libbiglooweb_es-%%BIGLOO_VERSION%%.a
 lib/bigloo/%%BIGLOO_VERSION%%/libbiglooweb_es-%%BIGLOO_VERSION%%.so
 lib/bigloo/%%BIGLOO_VERSION%%/libbiglooweb_eu-%%BIGLOO_VERSION%%.a
@@ -282,6 +299,10 @@ lib/bigloo/%%BIGLOO_VERSION%%/text.init
 lib/bigloo/%%BIGLOO_VERSION%%/text/data/en-hyphens.sch
 lib/bigloo/%%BIGLOO_VERSION%%/text/data/fr-hyphens.sch
 lib/bigloo/%%BIGLOO_VERSION%%/text/data/gb2312.sch
+lib/bigloo/%%BIGLOO_VERSION%%/upnp.heap
+lib/bigloo/%%BIGLOO_VERSION%%/upnp.init
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/wav.heap
+%%ALSA%%lib/bigloo/%%BIGLOO_VERSION%%/wav.init
 lib/bigloo/%%BIGLOO_VERSION%%/web.heap
 lib/bigloo/%%BIGLOO_VERSION%%/web.init
 lib/libbigloo_s-%%BIGLOO_VERSION%%.so
@@ -384,10 +405,27 @@ lib/libbiglootext_es-%%BIGLOO_VERSION%%.
 lib/libbiglootext_eu-%%BIGLOO_VERSION%%.so
 lib/libbiglootext_s-%%BIGLOO_VERSION%%.so
 lib/libbiglootext_u-%%BIGLOO_VERSION%%.so
+lib/libbiglooupnp_es-%%BIGLOO_VERSION%%.so
+lib/libbiglooupnp_eu-%%BIGLOO_VERSION%%.so
+lib/libbiglooupnp_s-%%BIGLOO_VERSION%%.so
+lib/libbiglooupnp_u-%%BIGLOO_VERSION%%.so
+%%ALSA%%lib/libbigloowav_es-%%BIGLOO_VERSION%%.so
+%%ALSA%%lib/libbigloowav_eu-%%BIGLOO_VERSION%%.so
+%%ALSA%%lib/libbigloowav_s-%%BIGLOO_VERSION%%.so
+%%ALSA%%lib/libbigloowav_u-%%BIGLOO_VERSION%%.so
 lib/libbiglooweb_es-%%BIGLOO_VERSION%%.so
 lib/libbiglooweb_eu-%%BIGLOO_VERSION%%.so
 lib/libbiglooweb_s-%%BIGLOO_VERSION%%.so
 lib/libbiglooweb_u-%%BIGLOO_VERSION%%.so
+man/man1/bglafile.1.gz
+man/man1/bgldepend.1.gz
+man/man1/bgljfile.1.gz
+man/man1/bglmake.1.gz
+man/man1/bglmco.1.gz
+man/man1/bglpp.1.gz
+man/man1/bglprof.1.gz
+man/man1/bgltags.1.gz
+man/man1/bigloo.1.gz
 %%PORTDOCS%%%%DOCSDIR%%/bdb-1.html
 %%PORTDOCS%%%%DOCSDIR%%/bdb-10.html
 %%PORTDOCS%%%%DOCSDIR%%/bdb-2.html
@@ -596,6 +634,89 @@ lib/libbiglooweb_u-%%BIGLOO_VERSION%%.so
 %%EMACS_SITE_LISPDIR%%/bigloo/etc/bass-snap.au
 %%EMACS_SITE_LISPDIR%%/bigloo/id-select.el
 %%EMACS_SITE_LISPDIR%%/bigloo/id-select.elc
+%%EMACS_SITE_LISPDIR%%/bigloo/images/tool-bar-empty-image.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-back-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-browse-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-builder-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-c-import-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-c-import-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-clean-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-clean-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-close-toolbar-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-compile-detach-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-compile-detach-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-compile-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-compile-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-connect-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-connect-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-continue-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-file-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-finish-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-next-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-run-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-show-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-step-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-dbg-until-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-declaration-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-declaration-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-edit-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-edit-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-edit-makefile-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-error-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-execute-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-execute-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-export-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-export-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-footprint-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-footprint-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-forward-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-graph-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-help-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-help-icon.old.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-help-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-home-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-hotlist-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-ibuilder-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-import-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-import-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-indent-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-indent-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-info-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-info-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-make-entry-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-make-entry-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-make-make-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-make-make-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-next-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-open-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-open-toolbar-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-pref-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-pref-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-print-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-print-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-profile-compile-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-profile-compile-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-profile-extra-compile-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-profile-extra-compile-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-profile-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-profile-icon.old.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-profile-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-quit-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-record-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-record-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-repl-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-repl-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-repl-next-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-repl-prev-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-root-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-root-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-search-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-stop-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-tag-icon-sans-legend.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-tag-icon.xpm
+%%EMACS_SITE_LISPDIR%%/bigloo/images/ude-up-icon.xpm
 %%EMACS_SITE_LISPDIR%%/bigloo/lee-autoload.el
 %%EMACS_SITE_LISPDIR%%/bigloo/lee-autoload.elc
 %%EMACS_SITE_LISPDIR%%/bigloo/lee-config.el
@@ -655,6 +776,7 @@ lib/libbiglooweb_u-%%BIGLOO_VERSION%%.so
 %%EMACS_SITE_LISPDIR%%/bigloo/ude-version.el
 %%EMACS_SITE_LISPDIR%%/bigloo/ude-version.elc
 %%EMACS_SITE_LISPDIR%%/bigloo/xemacs-etags.el
+@dirrm %%EMACS_SITE_LISPDIR%%/bigloo/images
 @dirrm %%EMACS_SITE_LISPDIR%%/bigloo/etc
 @dirrm %%EMACS_SITE_LISPDIR%%/bigloo
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Pawel Pekala freebsd_committer 2014-01-07 20:26:55 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!